<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ItemDemandPlanSearchBasic StructType
 * @subpackage Structs
 */
class ItemDemandPlanSearchBasic extends SearchRecordBasic
{
    /**
     * The alternateSourceItem
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $alternateSourceItem;
    /**
     * The analysisDuration
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchLongField
     */
    public $analysisDuration;
    /**
     * The demandDate
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDateField
     */
    public $demandDate;
    /**
     * The externalId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $externalId;
    /**
     * The externalIdString
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchStringField
     */
    public $externalIdString;
    /**
     * The internalId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $internalId;
    /**
     * The internalIdNumber
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchLongField
     */
    public $internalIdNumber;
    /**
     * The item
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $item;
    /**
     * The lastModifiedDate
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDateField
     */
    public $lastModifiedDate;
    /**
     * The location
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $location;
    /**
     * The memo
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchStringField
     */
    public $memo;
    /**
     * The projectionDuration
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchLongField
     */
    public $projectionDuration;
    /**
     * The projectionInterval
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $projectionInterval;
    /**
     * The projectionMethod
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchEnumMultiSelectField
     */
    public $projectionMethod;
    /**
     * The projectionStartDate
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDateField
     */
    public $projectionStartDate;
    /**
     * The quantity
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDoubleField
     */
    public $quantity;
    /**
     * The subsidiary
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $subsidiary;
    /**
     * The units
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $units;
    /**
     * The customFieldList
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchCustomFieldList
     */
    public $customFieldList;
    /**
     * Constructor method for ItemDemandPlanSearchBasic
     * @uses ItemDemandPlanSearchBasic::setAlternateSourceItem()
     * @uses ItemDemandPlanSearchBasic::setAnalysisDuration()
     * @uses ItemDemandPlanSearchBasic::setDemandDate()
     * @uses ItemDemandPlanSearchBasic::setExternalId()
     * @uses ItemDemandPlanSearchBasic::setExternalIdString()
     * @uses ItemDemandPlanSearchBasic::setInternalId()
     * @uses ItemDemandPlanSearchBasic::setInternalIdNumber()
     * @uses ItemDemandPlanSearchBasic::setItem()
     * @uses ItemDemandPlanSearchBasic::setLastModifiedDate()
     * @uses ItemDemandPlanSearchBasic::setLocation()
     * @uses ItemDemandPlanSearchBasic::setMemo()
     * @uses ItemDemandPlanSearchBasic::setProjectionDuration()
     * @uses ItemDemandPlanSearchBasic::setProjectionInterval()
     * @uses ItemDemandPlanSearchBasic::setProjectionMethod()
     * @uses ItemDemandPlanSearchBasic::setProjectionStartDate()
     * @uses ItemDemandPlanSearchBasic::setQuantity()
     * @uses ItemDemandPlanSearchBasic::setSubsidiary()
     * @uses ItemDemandPlanSearchBasic::setUnits()
     * @uses ItemDemandPlanSearchBasic::setCustomFieldList()
     * @param \StructType\SearchMultiSelectField $alternateSourceItem
     * @param \StructType\SearchLongField $analysisDuration
     * @param \StructType\SearchDateField $demandDate
     * @param \StructType\SearchMultiSelectField $externalId
     * @param \StructType\SearchStringField $externalIdString
     * @param \StructType\SearchMultiSelectField $internalId
     * @param \StructType\SearchLongField $internalIdNumber
     * @param \StructType\SearchMultiSelectField $item
     * @param \StructType\SearchDateField $lastModifiedDate
     * @param \StructType\SearchMultiSelectField $location
     * @param \StructType\SearchStringField $memo
     * @param \StructType\SearchLongField $projectionDuration
     * @param \StructType\SearchMultiSelectField $projectionInterval
     * @param \StructType\SearchEnumMultiSelectField $projectionMethod
     * @param \StructType\SearchDateField $projectionStartDate
     * @param \StructType\SearchDoubleField $quantity
     * @param \StructType\SearchMultiSelectField $subsidiary
     * @param \StructType\SearchMultiSelectField $units
     * @param \StructType\SearchCustomFieldList $customFieldList
     */
    public function __construct(\StructType\SearchMultiSelectField $alternateSourceItem = null, \StructType\SearchLongField $analysisDuration = null, \StructType\SearchDateField $demandDate = null, \StructType\SearchMultiSelectField $externalId = null, \StructType\SearchStringField $externalIdString = null, \StructType\SearchMultiSelectField $internalId = null, \StructType\SearchLongField $internalIdNumber = null, \StructType\SearchMultiSelectField $item = null, \StructType\SearchDateField $lastModifiedDate = null, \StructType\SearchMultiSelectField $location = null, \StructType\SearchStringField $memo = null, \StructType\SearchLongField $projectionDuration = null, \StructType\SearchMultiSelectField $projectionInterval = null, \StructType\SearchEnumMultiSelectField $projectionMethod = null, \StructType\SearchDateField $projectionStartDate = null, \StructType\SearchDoubleField $quantity = null, \StructType\SearchMultiSelectField $subsidiary = null, \StructType\SearchMultiSelectField $units = null, \StructType\SearchCustomFieldList $customFieldList = null)
    {
        $this
            ->setAlternateSourceItem($alternateSourceItem)
            ->setAnalysisDuration($analysisDuration)
            ->setDemandDate($demandDate)
            ->setExternalId($externalId)
            ->setExternalIdString($externalIdString)
            ->setInternalId($internalId)
            ->setInternalIdNumber($internalIdNumber)
            ->setItem($item)
            ->setLastModifiedDate($lastModifiedDate)
            ->setLocation($location)
            ->setMemo($memo)
            ->setProjectionDuration($projectionDuration)
            ->setProjectionInterval($projectionInterval)
            ->setProjectionMethod($projectionMethod)
            ->setProjectionStartDate($projectionStartDate)
            ->setQuantity($quantity)
            ->setSubsidiary($subsidiary)
            ->setUnits($units)
            ->setCustomFieldList($customFieldList);
    }
    /**
     * Get alternateSourceItem value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getAlternateSourceItem()
    {
        return $this->alternateSourceItem;
    }
    /**
     * Set alternateSourceItem value
     * @param \StructType\SearchMultiSelectField $alternateSourceItem
     * @return \StructType\ItemDemandPlanSearchBasic
     */
    public function setAlternateSourceItem(\StructType\SearchMultiSelectField $alternateSourceItem = null)
    {
        $this->alternateSourceItem = $alternateSourceItem;
        return $this;
    }
    /**
     * Get analysisDuration value
     * @return \StructType\SearchLongField|null
     */
    public function getAnalysisDuration()
    {
        return $this->analysisDuration;
    }
    /**
     * Set analysisDuration value
     * @param \StructType\SearchLongField $analysisDuration
     * @return \StructType\ItemDemandPlanSearchBasic
     */
    public function setAnalysisDuration(\StructType\SearchLongField $analysisDuration = null)
    {
        $this->analysisDuration = $analysisDuration;
        return $this;
    }
    /**
     * Get demandDate value
     * @return \StructType\SearchDateField|null
     */
    public function getDemandDate()
    {
        return $this->demandDate;
    }
    /**
     * Set demandDate value
     * @param \StructType\SearchDateField $demandDate
     * @return \StructType\ItemDemandPlanSearchBasic
     */
    public function setDemandDate(\StructType\SearchDateField $demandDate = null)
    {
        $this->demandDate = $demandDate;
        return $this;
    }
    /**
     * Get externalId value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getExternalId()
    {
        return $this->externalId;
    }
    /**
     * Set externalId value
     * @param \StructType\SearchMultiSelectField $externalId
     * @return \StructType\ItemDemandPlanSearchBasic
     */
    public function setExternalId(\StructType\SearchMultiSelectField $externalId = null)
    {
        $this->externalId = $externalId;
        return $this;
    }
    /**
     * Get externalIdString value
     * @return \StructType\SearchStringField|null
     */
    public function getExternalIdString()
    {
        return $this->externalIdString;
    }
    /**
     * Set externalIdString value
     * @param \StructType\SearchStringField $externalIdString
     * @return \StructType\ItemDemandPlanSearchBasic
     */
    public function setExternalIdString(\StructType\SearchStringField $externalIdString = null)
    {
        $this->externalIdString = $externalIdString;
        return $this;
    }
    /**
     * Get internalId value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getInternalId()
    {
        return $this->internalId;
    }
    /**
     * Set internalId value
     * @param \StructType\SearchMultiSelectField $internalId
     * @return \StructType\ItemDemandPlanSearchBasic
     */
    public function setInternalId(\StructType\SearchMultiSelectField $internalId = null)
    {
        $this->internalId = $internalId;
        return $this;
    }
    /**
     * Get internalIdNumber value
     * @return \StructType\SearchLongField|null
     */
    public function getInternalIdNumber()
    {
        return $this->internalIdNumber;
    }
    /**
     * Set internalIdNumber value
     * @param \StructType\SearchLongField $internalIdNumber
     * @return \StructType\ItemDemandPlanSearchBasic
     */
    public function setInternalIdNumber(\StructType\SearchLongField $internalIdNumber = null)
    {
        $this->internalIdNumber = $internalIdNumber;
        return $this;
    }
    /**
     * Get item value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getItem()
    {
        return $this->item;
    }
    /**
     * Set item value
     * @param \StructType\SearchMultiSelectField $item
     * @return \StructType\ItemDemandPlanSearchBasic
     */
    public function setItem(\StructType\SearchMultiSelectField $item = null)
    {
        $this->item = $item;
        return $this;
    }
    /**
     * Get lastModifiedDate value
     * @return \StructType\SearchDateField|null
     */
    public function getLastModifiedDate()
    {
        return $this->lastModifiedDate;
    }
    /**
     * Set lastModifiedDate value
     * @param \StructType\SearchDateField $lastModifiedDate
     * @return \StructType\ItemDemandPlanSearchBasic
     */
    public function setLastModifiedDate(\StructType\SearchDateField $lastModifiedDate = null)
    {
        $this->lastModifiedDate = $lastModifiedDate;
        return $this;
    }
    /**
     * Get location value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getLocation()
    {
        return $this->location;
    }
    /**
     * Set location value
     * @param \StructType\SearchMultiSelectField $location
     * @return \StructType\ItemDemandPlanSearchBasic
     */
    public function setLocation(\StructType\SearchMultiSelectField $location = null)
    {
        $this->location = $location;
        return $this;
    }
    /**
     * Get memo value
     * @return \StructType\SearchStringField|null
     */
    public function getMemo()
    {
        return $this->memo;
    }
    /**
     * Set memo value
     * @param \StructType\SearchStringField $memo
     * @return \StructType\ItemDemandPlanSearchBasic
     */
    public function setMemo(\StructType\SearchStringField $memo = null)
    {
        $this->memo = $memo;
        return $this;
    }
    /**
     * Get projectionDuration value
     * @return \StructType\SearchLongField|null
     */
    public function getProjectionDuration()
    {
        return $this->projectionDuration;
    }
    /**
     * Set projectionDuration value
     * @param \StructType\SearchLongField $projectionDuration
     * @return \StructType\ItemDemandPlanSearchBasic
     */
    public function setProjectionDuration(\StructType\SearchLongField $projectionDuration = null)
    {
        $this->projectionDuration = $projectionDuration;
        return $this;
    }
    /**
     * Get projectionInterval value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getProjectionInterval()
    {
        return $this->projectionInterval;
    }
    /**
     * Set projectionInterval value
     * @param \StructType\SearchMultiSelectField $projectionInterval
     * @return \StructType\ItemDemandPlanSearchBasic
     */
    public function setProjectionInterval(\StructType\SearchMultiSelectField $projectionInterval = null)
    {
        $this->projectionInterval = $projectionInterval;
        return $this;
    }
    /**
     * Get projectionMethod value
     * @return \StructType\SearchEnumMultiSelectField|null
     */
    public function getProjectionMethod()
    {
        return $this->projectionMethod;
    }
    /**
     * Set projectionMethod value
     * @param \StructType\SearchEnumMultiSelectField $projectionMethod
     * @return \StructType\ItemDemandPlanSearchBasic
     */
    public function setProjectionMethod(\StructType\SearchEnumMultiSelectField $projectionMethod = null)
    {
        $this->projectionMethod = $projectionMethod;
        return $this;
    }
    /**
     * Get projectionStartDate value
     * @return \StructType\SearchDateField|null
     */
    public function getProjectionStartDate()
    {
        return $this->projectionStartDate;
    }
    /**
     * Set projectionStartDate value
     * @param \StructType\SearchDateField $projectionStartDate
     * @return \StructType\ItemDemandPlanSearchBasic
     */
    public function setProjectionStartDate(\StructType\SearchDateField $projectionStartDate = null)
    {
        $this->projectionStartDate = $projectionStartDate;
        return $this;
    }
    /**
     * Get quantity value
     * @return \StructType\SearchDoubleField|null
     */
    public function getQuantity()
    {
        return $this->quantity;
    }
    /**
     * Set quantity value
     * @param \StructType\SearchDoubleField $quantity
     * @return \StructType\ItemDemandPlanSearchBasic
     */
    public function setQuantity(\StructType\SearchDoubleField $quantity = null)
    {
        $this->quantity = $quantity;
        return $this;
    }
    /**
     * Get subsidiary value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getSubsidiary()
    {
        return $this->subsidiary;
    }
    /**
     * Set subsidiary value
     * @param \StructType\SearchMultiSelectField $subsidiary
     * @return \StructType\ItemDemandPlanSearchBasic
     */
    public function setSubsidiary(\StructType\SearchMultiSelectField $subsidiary = null)
    {
        $this->subsidiary = $subsidiary;
        return $this;
    }
    /**
     * Get units value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getUnits()
    {
        return $this->units;
    }
    /**
     * Set units value
     * @param \StructType\SearchMultiSelectField $units
     * @return \StructType\ItemDemandPlanSearchBasic
     */
    public function setUnits(\StructType\SearchMultiSelectField $units = null)
    {
        $this->units = $units;
        return $this;
    }
    /**
     * Get customFieldList value
     * @return \StructType\SearchCustomFieldList|null
     */
    public function getCustomFieldList()
    {
        return $this->customFieldList;
    }
    /**
     * Set customFieldList value
     * @param \StructType\SearchCustomFieldList $customFieldList
     * @return \StructType\ItemDemandPlanSearchBasic
     */
    public function setCustomFieldList(\StructType\SearchCustomFieldList $customFieldList = null)
    {
        $this->customFieldList = $customFieldList;
        return $this;
    }
}
